JOSE-JWE-FMT(1)

NAME
jose-jwe-fmt - Converts a JWE between serialization formats

SYNOPSIS
jose jwe fmt -i JWE [-I CT] [-o JWE] [-O CT] [-c]

OVERVIEW
The jose jwe fmt command converts a JWE into alternative serialization formats. For example, it can:

1.  Attach ciphertext to a detached JWE.

2.  Detach ciphertext from a JWE.

3.  Convert JWE Compact Serialization to JWE JSON Serialization.

4.  Convert JWE JSON Serialization to JWE Compact Serialization.

OPTIONS

-i JSON, --input=JSON
    Parse JWE from JSON

-i FILE, --input=FILE
    Read JWE from FILE

-i -, --input=-
    Read JWE from standard input

-I FILE, --detached=FILE
    Read decoded ciphertext from FILE

-I -, --detached=-
    Read decoded ciphertext from standard input

-o FILE, --output=FILE
    Write JWE to FILE

-o -, --output=-
    Write JWE to stdout (default)

-O FILE, --detach=FILE
    Detach ciphertext and decode to FILE

-O -, --detach=-
    Detach ciphertext and decode to standard output

-c, --compact
    Output JWE using compact serialization

EXAMPLES
Attach ciphertext to a detached JWE and emit JWE Compact Serialization:

    $ jose jwe fmt -i msg.jwe -I msg.ct -o compact.jwe -c

Detach ciphertext from a JWE:

    $ jose jwe fmt -i msg.jwe -o detached.jwe -O detached.ct

AUTHOR
Nathaniel McCallum <npmccallum@redhat.com>

SEE ALSO
jose-jwe-dec(1), jose-jwe-enc(1)